AgentCallbackClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.client.AgentCallbackClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.client
Class AgentCallbackClient

    java.lang.Object
      org.hyperic.hq.bizapp.client.AgentCallbackClient

Direct Known Subclasses:
  AutoinventoryCallbackClient, BizappCallbackClient, ControlCallbackClient, MeasurementCallbackClient

    public abstract class AgentCallbackClient

extends java.lang.Object

Central place for communication back to the server.

Constructor Summary
`AgentCallbackClient(ProviderFetcher fetcher)`
`AgentCallbackClient(ProviderFetcher fetcher, java.lang.String[] secureCommands)`

Method Summary
`static java.lang.String` | `getDefaultProviderURL(java.lang.String host, int port, boolean secure)` Generate a provider URL given a host and port.
`static java.lang.String` | `getHostFromProviderURL(java.lang.String providerURL)` Retrieve the host name from a provider URL.
`protected ProviderInfo` | `getProvider()` Get the most up-to-date information about what our provider is, from the storage provider.
`protected org.hyperic.lather.LatherValue` | `invokeLatherCall(ProviderInfo provider, java.lang.String methodName, org.hyperic.lather.LatherValue args)`
`static boolean` | `isValidProviderURL(java.lang.String provider)` Check to see if a particular provider URL is valid (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentCallbackClient

    public AgentCallbackClient(ProviderFetcher fetcher,
                               java.lang.String[] secureCommands)

### AgentCallbackClient

    public AgentCallbackClient(ProviderFetcher fetcher)

Method Detail

### getProvider

    protected ProviderInfo getProvider()
                                throws AgentCallbackClientException

  Get the most up-to-date information about what our provider is, from the storage provider.

  Returns:
    the string provider (such as jnp:stuff or http:otherstuff)
  Throws:
    `AgentCallbackClientException`

### isValidProviderURL

    public static boolean isValidProviderURL(java.lang.String provider)

  Check to see if a particular provider URL is valid (i.e. something that we know about && can process.

### getDefaultProviderURL

    public static java.lang.String getDefaultProviderURL(java.lang.String host,
                                                         int port,
                                                         boolean secure)

  Generate a provider URL given a host and port. This routine adds in the prefix (such as http:, etc.) as well as the URL after the host to identify the server interface (if necessary)

  Parameters:
    `host` - Host to generate provider for
    `port` - Port to use for provider. If it is -1, the default port will be used.

### getHostFromProviderURL

    public static java.lang.String getHostFromProviderURL(java.lang.String providerURL)

  Retrieve the host name from a provider URL.

  Parameters:
    `providerURL` - The provider URL.
  Returns:
    The host name.

### invokeLatherCall

    protected org.hyperic.lather.LatherValue invokeLatherCall(ProviderInfo provider,
                                                              java.lang.String methodName,
                                                              org.hyperic.lather.LatherValue args)
                                                       throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.